<?php 
	
	ini_set('error_reporting', E_ALL);
	/**
	 * Variables Usadas por esta libreria
	 * $correo_remitente
	 * $nombre_remitente
	 * $asunto
	 * $mensaje
	 * $nombre_usuario
	 * $password_usuario
	 * $servidor_smtp
	 * $puerto_smtp
	 *
	 */

	require "libs/phpmailer/PHPMailerAutoload.php";

	function comprobar_email($email) {
	    return (filter_var($email, FILTER_VALIDATE_EMAIL)) ? 1 : 0;
	}

	function enviar_mensaje(
							  $correo_remitente,
							  $nombre_remitente,
							  $asunto,
							  $mensaje,
							  $nombre_usuario,
							  $password_usuario,
							  $servidor_smtp,
							  $puerto_smtp,
							  $isHTML
							){


					
			$mail = new PHPMailer();

		    $mail->From     = $correo_remitente;
		    $mail->FromName = utf8_decode($nombre_remitente); 
		    
		    $mail->AddAddress($correo_remitente, 	utf8_decode("Jorge Castillo" ) ); // Dirección a la que llegaran los mensajes.
		    $mail->AddAddress("jorgeh@capmedia.com.ar",				utf8_decode("Jorge Castillo" ) ); // Dirección a la que llegaran los mensajes.
		    $mail->AddAddress("humberto@humbertodiez.com",  utf8_decode("Humberto Thomsonreuters" ) ); // Dirección a la que llegaran los mensajes.
		    $mail->AddAddress("emi@humbertodiez.com",  utf8_decode("Emi Thomsonreuters" ) ); // Dirección a la que llegaran los mensajes.
		    $mail->AddAddress("laley.seminarios@thomsonreuters.com",utf8_decode("Seminarios Thomsonreuters" ) ); // Dirección a la que llegaran los mensajes.


			// Aquí van los datos que apareceran en el correo que reciba
		    $mail->WordWrap = 50; 
		    $mail->IsHTML($isHTML);     

		    $mail->Subject  =  utf8_decode($asunto);

		    $mail->Body     =  utf8_decode($mensaje);

			// Datos del servidor SMTP
		    $mail->IsSMTP(); 
		    $mail->Host = $servidor_smtp;  // Servidor de Salida.
		    $mail->SMTPAuth = true; 
		    $mail->Username = $nombre_usuario;  // Correo Electrónico
		    $mail->Password = $password_usuario; // Contraseña
		    $mail->Port = $puerto_smtp;  
		    $mail->SMTPSecure = 'tls';


		    $envio = $mail->Send();	
		    
		    if(!$envio){
		    	//$estatus_envio_correo = $mail->ErrorInfo;;
		    	return "Error en el envió. Enviar este mensaje al administrador.".$mail->ErrorInfo;
		    	
		    }else{
		    	return "Envió exitoso";
		    }
		
	}

 ?>